Skip to content

Import Collaterals

Request

Type: application/json

Schema: ImportCollateralsRequestDto

collaterals array [ CollateralImportDto ]

List of collaterals to import

importOperationId string

Import operation identifier for tracking this import item progress and createdEntityId in the import report.

collateralCreateData CollateralCreateDto
migrationReference string

Id that reference to an entity in the source system.

dealId string

ID of the deal this collateral belongs to. Must not be blank and must exist in the system. Validated asynchronously - presented in the import report.

name string

Optional name of the collateral

subType string

Optional sub-type of the collateral (e.g. Office, Retail). Must match system configuration if provided. Validated asynchronously - presented in the import report.

description string

Optional free-text description of the collateral

address AddressCreateDto
fullAddress string

Complete street address validated by Google Places API (e.g., "1600 Amphitheatre Parkway, Mountain View, CA 94043")

additionalFreeText string

Additional address information such as suite or unit number

placeId string

Google Places unique identifier. If provided, overrides fullAddress

latLng LatLng

lat number(double)

lng number(double)

alternativeValuationCreateData AlternativeValuationCreateDto
migrationReference string

Id that reference to an entity in the source system.

name string

Name of the alternative valuation. Must not be blank. Validated asynchronously - presented in the import report.

valuation number(double)

Valuation amount in dollars. Must be positive (> 0). Validated asynchronously - presented in the import report.

description string

Optional description of the valuation or methodology

asOfDate string(date)

Optional date as of which the valuation is effective

valueBasis string

Optional basis or methodology used for valuation (e.g. Appraisal, BPO, Internal Analysis). Must match system configuration if provided. Validated asynchronously - presented in the import report.

Response

Status: 200

Type: application/json

Schema: ImportResponseDto

success boolean

error ErrorDto
target string

Field or parameter that caused the error

code string(enum)

Error code (e.g., Duplicated, MissingMandatoryField, InvalidCreateValues, MissingEntity)

Available enum values: Duplicated, MissingMandatoryField, InvalidCreateValues, Existing, ValidationError, MissingEntity

message string

details array [ ErrorDto ]

reportId string

POST
/api/apiGateway/importCollaterals
Request Body
{
  "collaterals": [
    {
      "importOperationId": "string",
      "collateralCreateData": {
        "migrationReference": "string",
        "dealId": "string",
        "name": "string",
        "subType": "string",
        "description": "string",
        "address": {
          "fullAddress": "string",
          "additionalFreeText": "string",
          "placeId": "string",
          "latLng": {
            "lat": 0.0,
            "lng": 0.0
          }
        }
      },
      "alternativeValuationCreateData": {
        "migrationReference": "string",
        "name": "string",
        "valuation": 0.0,
        "description": "string",
        "asOfDate": "2025-01-01",
        "valueBasis": "string"
      }
    }
  ]
}
Response
{
  "success": true,
  "error": {
    "target": "string",
    "code": "Duplicated",
    "message": "string",
    "details": [
      {}
    ]
  },
  "reportId": "string"
}